DefaultDirtyCheckEventListener (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.internal
Class DefaultDirtyCheckEventListener

    java.lang.Object
      org.hibernate.event.internal.AbstractFlushingEventListener
          org.hibernate.event.internal.DefaultDirtyCheckEventListener

All Implemented Interfaces:
  Serializable, DirtyCheckEventListener

    public class DefaultDirtyCheckEventListener

extends AbstractFlushingEventListener
implements DirtyCheckEventListener

Defines the default dirty-check event listener used by hibernate for checking the session for dirtiness in response to generated dirty-check events.

See Also:
  Serialized Form

Constructor Summary
`DefaultDirtyCheckEventListener()`

Method Summary
`void` | `onDirtyCheck(DirtyCheckEvent event)` Handle the given dirty-check event.

Methods inherited from class org.hibernate.event.internal.AbstractFlushingEventListener
`flushEverythingToExecutions, getAnything, getCascadingAction, performExecutions, postFlush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDirtyCheckEventListener

    public DefaultDirtyCheckEventListener()

Method Detail

### onDirtyCheck

    public void onDirtyCheck(DirtyCheckEvent event)
                      throws HibernateException

  Handle the given dirty-check event.

  Specified by:
    `onDirtyCheck` in interface `DirtyCheckEventListener`
  Parameters:
    `event` - The dirty-check event to be handled.
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.